﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DifferentiableFunction;

//this is the example code of Ch 2.2
namespace Example_Differentiation
{
    class Program
    {
        static void Main(string[] args)
        {
            Function.newContext();
            Variable a = new Variable(), b = new Variable();
            Function f = a * b;
            Function dfa = Function.D(f, a); // Df/Da
            //equality of mixed partials wrt variables
            Function dfab = Function.D(f, a, b); // D(Df/Da)/Db
            Function dfba = Function.D(f, b, a); // D(Df/Db)/Da
            // does D(Df/Db)/Da = D(Df/Da)/Db?
            Console.WriteLine((dfab == dfba));
            Console.Read();
        }
    }
}
